Bug 1403981 - Create snapshot has memory checkbox, even though VM is Down. [NEEDINFO]
Summary: Create snapshot has memory checkbox, even though VM is Down.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.7.1
Assignee: Boriso
QA Contact: Ilanit Stein
URL:
Whiteboard: rhev:vsphere
Depends On: 1375850
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-12 19:21 UTC by Satoe Imaishi
Modified: 2017-02-27 19:27 UTC (History)
9 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1375850
Environment:
Last Closed: 2017-02-27 19:27:34 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:
oourfali: needinfo? (gblomqui)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-09 18:36:06 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/3bfba1edcdbd999482b383b406d9a394935c1866

commit 3bfba1edcdbd999482b383b406d9a394935c1866
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Thu Dec 8 06:35:27 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 9 13:32:55 2017 -0500

    Merge pull request #12678 from borod108/bugs/1375850memory_checkbox
    
    Memory checkbox will not show when VM is not up
    (cherry picked from commit d05b5f28253b6bf2a8c5d78e829d48092035fe7f)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1403981

 app/controllers/vm_common.rb                                        | 6 ++++++
 .../providers/redhat/infra_manager/vm/operations/snapshot.rb        | 4 ++++
 app/views/vm_common/_snap.html.haml                                 | 2 +-
 3 files changed, 11 insertions(+), 1 deletion(-)

Comment 3 Ilanit Stein 2017-01-31 09:44:27 UTC
Verified on CFME-5.7.1.0 & RHV-4.0.5.

For a down VM, the memory check box no longer exist.
Add snapshot for the down VM was successful.

Comment 4 Aziza Karol 2017-02-07 09:48:51 UTC
Reopening this as it is still reproducible on vmware VM.

When creating snapshot from a VMware VM, the memory check box still appears even if the vm is down.

version:5.7.1.0.20170124142149_8a5f4d5

Comment 5 Aziza Karol 2017-02-07 09:48:52 UTC
Reopening this as it is still reproducible on vmware VM.

When creating snapshot from a VMware VM, the memory check box still appears even if the vm is down.

version:5.7.1.0.20170124142149_8a5f4d5

Comment 6 Oved Ourfali 2017-02-07 09:54:46 UTC
Oh. Seems like the original fix is also for other providers.
Anyhow, I see that you've tested an old one, right?
Aziza - please make sure to test latest 5.7.1, as this was moved to ON_QA on the 31st, and you're with a build from the 24th.

I'm moving back to VERIFIED.
If the issue happens again then move it to the providers team to investigate, as on RHV it works fine.

Comment 12 errata-xmlrpc 2017-02-27 19:27:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.